build::Wx::build::MakeMaker(3pm)

NAME
Wx::build::MakeMaker - ExtUtils::MakeMaker specialisation for wxPerl modules

SYNOPSIS
use Wx::build::MakeMaker;

wxWriteMakefile( NAME => 'My::Module',
                 VERSION_FROM => 'Module.pm' );

FUNCTIONS

  wxWriteMakefile
  wxWriteMakefile( arameter => value, ... );

This functions is meant to be used exactly as ExtUtils::MakeMaker::WriteMakefile (see). It accepts all WriteMakefile's parameters, plus:

•   WX_CORE_LIB

      WX_CORE_LIB => 'xrc core base'

    link libraries from wxWidgets' core or contrib directory. If not spedified, defaults to 'adv html core net base' for compatibility.

•   WX_LIB

      WX_LIB => '-lxrc'

    Link additional libraries from wxWidgets' contrib directory.

•   REQUIRE_WX

      REQUIRE_WX => 2.003002  # wxWidgets 2.3.2

    Do not build this module if wxWidgets' version is lower than the version specified.

•   NO_WX_PLATFORMS

      NO_WX_PLATFORMS => [ 'x11', 'msw' ]

    Do not build this module on the specified platform(s).

•   ON_WX_PLATFORMs

      ON_WX_PLATFORMS => [ 'gtk' ]

    only build this module on the specified platform(s).

PRIVATE FUNCTIONS
These functions are here for reference, do not use them.

  is_core
  if( is_core ) { ... }

True if it is building the wxPerl core (Wx.dll), false otherwise.

  is_wxPerl_tree
  if( is_wxPerl_tree ) { ... }

True if it is building any part of wxPerl, false otherwise.

  set_hook_package
  Wx::build::MakeMaker::set_hook_package( 'package_name' );

Package to be hooked into the MakeMaker inheritance chain.

METHODS

  get_api_directory
  my $dir = $cfg->get_api_directory;

  get_arch_directory
  my $dir = $cfg->get_arch_directory;